#
# /etc/bash.bashrc
#

# If not running interactively, don't do anything
[[ $- != *i* ]] && return

PS1='\[\033[00;31m\][ AniNIX::\h(\[\033[01;32m\]`uname -o`\[\033[00;31m\]) \[\033[00;36m\]\u \[\033[01;37m\]\d \t \[\033[00;35m\]\w\[\033[00;31m\] ] \n|\[\033[m\]> '
PS2='> '
PS3='> '
PS4='+ '

case ${TERM} in
    xterm*|rxvt*|Eterm|aterm|kterm|gnome*)
        PROMPT_COMMAND=${PROMPT_COMMAND:+$PROMPT_COMMAND; }'printf "\033]0;AniNIX::%s \134\134 %s in %s\007" "${HOSTNAME%%.*}" "${USER}" "${PWD/#$HOME/\~}"'

        ;;
    screen)
        PROMPT_COMMAND=${PROMPT_COMMAND:+$PROMPT_COMMAND; }'printf "\033]0;AniNIX::%s \134\134 %s in %s\007" "${HOSTNAME%%.*}" "${USER}" "${PWD/#$HOME/\~}"'
        ;;
esac

[ -r /usr/share/bash-completion/bash_completion   ] && . /usr/share/bash-completion/bash_completion

[ -f /etc/bash.motd ] && cat /etc/bash.motd

### AniNIX Customizations ###

alias get-commands='for i in $( echo $PATH | sed "s/:/\n/g"); do ls $i; done | sort | less'
alias whoison='who | grep -v tmux'
alias startvnc="vncserver -xstartup startxfce4; echo Use \"ssh -L 5901:localhost:5901 $(whoami)@$(hostname)\" to tunnel connections."
alias vi=vim
alias view="vim -R"
alias top="top -o %CPU"
alias make-entrypoints="egrep '^[a-zA-Z0-9\-]*:' Makefile"
if [ -x `which torsocks 2>/dev/null` ] && [ `systemctl status tor 2>/dev/null| grep -c running` -eq 1 ]; then alias tor-lynx="torsocks lynx https://check.torproject.org/"; fi

IFS="
"

# Irssi
for i in `ls -d ~/.irssi-* 2>/dev/null`; do 
    alias `echo $i | cut -f 2 -d '-' | tr '[:upper:]' '[:lower:]'`="irssi --home=$i"; 
done

# Set up screen/tmux safety nest by default.
if [ "$TERM" != "screen" ] && [ -z "$DESKTOP_SESSION" ]; then 
   if [ -x "$(which tmux 2>/dev/null)" ] && [ -z "$TMUX" ]; then 
        if [ `tmux list-sessions | grep created | wc -l` -eq 0 ]; then
            exec tmux
        elif [ `tmux list-sessions | grep created | wc -l` -eq 1 ] && [ `tmux list-sessions | grep attached | wc -l` -eq 0 ]; then
            exec tmux a -d -t `tmux list-sessions | grep created | cut -f 1 -d ':'`
       fi
        alias tat="exec tmux a -d -t"
    elif [ -x "$(which screen 2>/dev/null)" ] && [ "$TERM" != "screen" ]; then
        if [ `screen -list | grep -c 'Detached'` -eq 1 ]; then
            exec screen -r
        elif [ `screen -list | grep -c 'No Sockets found in '` -eq 1 ] && [ "$TERM" != "screen" ]; then
            exec /usr/bin/screen /bin/bash
        fi
        alias sdr="screen -d -r"
    fi;
fi

# Autocompletions are having trouble lately and spawning irssi -- can't find where yet TODO
complete -r
